Bug 240073 - sysutils/doctl: Switch to USES=go:modules, fix build with go1.13
Summary: sysutils/doctl: Switch to USES=go:modules, fix build with go1.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-24 13:18 UTC by Dmitri Goutnik
Modified: 2019-08-26 19:01 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jrm)


Attachments
patch file (491 bytes, patch)
2019-08-24 13:18 UTC, Dmitri Goutnik
dmgk: maintainer-approval? (jrm)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-08-24 13:18:34 UTC
Created attachment 206849 [details]
patch file

===>  Building for doctl-1.27.0
go: github.com/BurntSushi/toml@v0.3.1: Get https://proxy.golang.org/github.com/%21burnt%21sushi/to
ml/@v/v0.3.1.mod: dial tcp: lookup proxy.golang.org on 209.222.18.218:53: write udp 127.0.0.1:2467
6->209.222.18.218:53: write: permission denied
*** Error code 1

- Switch to USES=go:modules, this also fixes the build with upcoming go1.13
- Remove GO_PKGNAME, redundant with modules

QA:
  poudriere testport: OK (120a-go1.12.9, 120a-go-devel)
Comment 1 commit-hook freebsd_committer 2019-08-26 18:59:46 UTC
A commit references this bug:

Author: jrm
Date: Mon Aug 26 18:58:59 UTC 2019
New revision: 509966
URL: https://svnweb.freebsd.org/changeset/ports/509966

Log:
  sysutils/doctl: Update to v1.28.0 and use Go Modules [1]

  [1] - Upstream switched from dependencies to modules in 034d856 (2019-06-20)
      - No need to set GO_PKGNAME as it is redundant with modules
      - Switching to modules fixes the build with upcoming go1.13

  PR:		240073
  Submitted by:	dg@syrec.org [1]
  Sponsored by:	DigitalOcean [2]

  [2] DigitalOcean provided VM credit to test doctl

Changes:
  head/sysutils/doctl/Makefile
  head/sysutils/doctl/distinfo
Comment 2 Joseph Mingrone freebsd_committer 2019-08-26 19:01:47 UTC
Committed. Thanks for submitting.